2002-01-10  Keith Seitz  <keiths@redhat.com>

	* unix/Makefile.in (TCL_RANLIB): Renamed from just "RANLIB".
	Changed all references to "RANLIB" to "TCL_RANLIB" so that
	toplevel Makefile doesn't override our own settings.

2001-09-18  Ian Roxborough  <irox@redhat.com>

	* Makefile.in: Added TCL_CFLAGS for flags that
	shouldn't be supressed by the top level Makefile's
	CFLAGS settings.

Fri Mar 19 09:29:42 1999  Michael Tiemann  <tiemann@holodeck.cygnus.com>

	* configure.in, configure (IRIX64-6.*): Use -n32 instead of -32
	for SHLIB_LD.

1998-10-28  Ben Elliston  <bje@cygnus.com>

	* tclConfig.sh.in (TCL_BUILD_INCLUDES): Remove.
	* configure.in (TCL_BUILD_INCLUDES): Remove. Do not subst.
	* configure: Regenerate.

Fri Apr 10 16:52:30 1998  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Remove test for DOS_PATHNAMES.
	* configure: Rebuild.

	* configure.in: Remove call to CY_AC_C_WORKS.
	* aclocal.m4: Remove CY_AC_C_WORKS.
	* configure: Rebuild.

Tue Mar 24 17:28:53 1998  Stu Grossman  <grossman@bhuna.cygnus.co.uk>

	* dltest/configure:  Regenerate with autoconf 2.12.1 to fix shell
	issues for NT native builds.

Mon Nov 17 09:02:23 1997  Tom Tromey  <tromey@cygnus.com>

	* configure: Rebuilt.
	* configure.in (TCL_SHARED_LIB_FILE, TCL_UNSHARED_LIB_FILE):
	Define with dummy values to avoid Makefile syntax errors.

Tue Oct 28 16:31:58 1997  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (install-minimal): New target.

Tue Aug  5 13:25:58 1997  Tom Tromey  <tromey@cygnus.com>

	* configure: Rebuilt.
	* configure.in: Preserved local changes.
	* mkLinks: Preserved local changes.

Mon Aug  4 16:24:25 1997  Tom Tromey  <tromey@cygnus.com>

	* tclAppInit.c (main): Don't handle -h or -v arguments.

Tue Jul  1 22:09:28 1997  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Fix -lnsl test.
	* configure: Rebuild.

Mon Jun 30 13:31:28 1997  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Rework check for socket libraries to use a cache
	variable and to not set ac_cv_func cache variables
	inappropriately.
	* configure: Rebuild.

Mon Mar 17 11:36:55 1997  Tom Tromey  <tromey@cygnus.com>

	* configure: Regenerated.
	* configure.in (have_timezone): HPUX sys/time.h has whitespace
	before timezone decl.

Thu Mar 13 14:38:31 1997  Tom Tromey  <tromey@cygnus.com>

	* tclUnixTime.c (TclpGetTimeZone): Declare timezone if not
	declared in header.

	* configure.in (have_timezone): Check for timezone decl in
	time.h.

Fri Nov 22 11:02:08 1996  Tom Tromey  <tromey@cygnus.com>

	* configure.in: Use AC_STRUCT_ST_BLKSIZE, not hand-written code.

	* tclUnixFCmd.c (CopyFile): Use BUFSIZ, not mythical BLKSIZE.

Thu Nov 21 10:53:19 1996  Tom Tromey  <tromey@cygnus.com>

	* tclUnixFCmd.c (CopyFile): Check HAVE_ST_BLKSIZE.

	* configure.in: Remove check for realpath; don't define
	HAVE_GETCWD.
	Check for st_blksize in struct stat.

Wed Nov 20 14:07:31 1996  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in (GENERIC_OBJS): Removed tclAlloc.o.
	(GENERIC_SRCS): Removed tclAlloc.c.
	(tclAlloc.o): Removed.

Thu Oct  3 17:18:42 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (mostlyclean): New target.

Thu Oct  3 11:38:41 1996  Tom Tromey  <tromey@cygnus.com>

	* dltest/Makefile.in (distclean): Remove configure-generated files
	here.

Mon Aug 26 09:38:22 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in: Use TCL_SHARED_LIB_FILE, TCL_UNSHARED_LIB_FILE.
	* configure: Regenerated.
	* configure.in: Introduce TCL_SHARED_LIB_FILE and
	TCL_UNSHARED_LIB_FILE.

	* configure: Regenerated.
	* configure.in (HP-UX): Make sure test for GNU ld fails with HPUX
	linker.

Wed Aug 14 09:20:54 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (install-man): Man page permissions are 644, not
	444.

Tue Aug 13 11:49:08 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: On IRIX 6.2 timezone is a time_t, not a long.

Mon Aug  5 10:35:17 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (configure): Don't depend on configure.in.  Work
	when not in srcdir.

	* configure: Regenerated.
	* configure.in: Don't hard-code `gcc'; use $CC instead.
	[ULTRIX-4*] Don't pass -D 08000000 to GNU ld.

	* Makefile.in (Makefile): Depend on config.status.
	(config.status): New target.

	* configure: Regenerated.
	* configure.in: Use -fPIC, not -fpic, when using gcc.

Fri Aug  2 10:33:52 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: Don't put body of HP-UX case in AC_CHECK_LIB;
	instead do check separately.

	* tclUnixInit.c: Don't include <sys/utsname.h>; that is done by
	tclUnixPort.h.

	* configure: Regenerated.
	* configure.in: Check for -ldld before using it.

Mon Jul 22 17:19:10 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* tclUnixInit.c (initScript): Handle location independence.

Sun Jul 14 14:46:51 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* tclUnixStr.c (Tcl_Errno{Id,Msg}): Handle new versions of Linux
	that define EDEADLK and EDEADLOCK as the same.

Wed Jun 26 12:37:05 1996  Jason Molenda  (crash@godzilla.cygnus.co.jp)

	* Makefile.in (TCL_LIBRARY, LIB_INSTALL_DIR, BIN_INSTALL_DIR,
	INCLUDE_INSTALL_DIR, MAN_INSTALL_DIR, INSTALL_PROGRAM,
	INSTALL_DATA): Use autoconf-set values.
	(install-libraries): Use @datadir@ instead of hard-coding dirname.
	* configure.in (AC_PREREQ): autoconf 2.5 or higher.
	(AC_PROG_INSTALL): Add.
	* configure: Rebuilt.
	* dltest/configure.in (AC_PREREQ): autoconf 2.5 or higher.
	* dltest/configure: Rebuilt.

Mon Jun 10 16:21:21 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (install-binaries): Don't add version info to
	installed tclsh.

Tue Jun  4 17:57:10 1996  Gordon Irlam  <gordoni@snuffle.cygnus.com>

	* install-sh: Add MIT copyright.

Tue May 21 10:13:37 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* aclocal.m4: Typo fix.

Thu May 16 09:50:12 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* configure.in: Removed AC_CANONICAL_SYSTEM, AC_CONFIG_AUX_DIR.
	Use CY_AC_C_WORKS instead of CY_AC_C_CROSS.
	* aclocal.m4: Replaced CY_AC_C_CROSS with CY_AC_C_WORKS.

Thu May  9 10:01:31 1996  Tom Tromey  <tromey@snuffle.cygnus.com>

	* Makefile.in (CFLAGS): Set to @CFLAGS@.

Mon May  6 20:54:10 1996  Fred Fish  <fnf@cygnus.com>

	* findself.c (find_self): Test argv0 for NULL before
	dereferencing it.

Mon May  6 11:27:52 1996  Tom Tromey  <tromey@lisa.cygnus.com>

	* Makefile.in (install-man): Install man pages in section 3, not
	section n.

	* mkLinks: Use cp, not ln.

Mon May  6 11:27:52 1996  Tom Tromey  <tromey@lisa.cygnus.com>

	* findself.c (find_self_base): Changed expected location of
	arch-specific info.

Fri May  3 08:36:01 1996  Tom Tromey  <tromey@lisa.cygnus.com>

	* Makefile.in: Moved html generation into devo/inet.

Thu May  2 23:47:32 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (install-html): Create html directory if it isn't
	already created.

Thu May  2 10:09:25 1996  Tom Tromey  <tromey@lisa.cygnus.com>

	* findself.c (cache_valid): New global.
	(find_self_base): Allow caching of NULL.  Ensure that stripped
	components have correct names for scheme.

	* findself.c: Don't include <stdlib.h> in Tcl case.

Wed May  1 12:51:50 1996  Tom Tromey  <tromey@lisa.cygnus.com>

	* Makefile.in (html): New target.
	(install-html): New target.
	(install): Depend on install-html.
	(stamp-html): new target.
	(all): Depend on html.
	(TCL_HTML_DIR): New macro.
	(install-html): Use it.

Wed May  1 09:09:13 1996  Tom Tromey  <tromey@snuffle.cygnus.com>

	* findself.c: Include <stdlib.h> whenever possible.
	(find_self): Cast result of realpath.

Tue Apr 30 13:39:48 1996  Tom Tromey  <tromey@snuffle.cygnus.com>

	* findself.c (find_self_base): Strip new "arch" directory from
	prefix.

	* tclAppInit.c (main): Removed "-inet-1.0".

Mon Apr 29 16:57:10 1996  Tom Tromey  <tromey@snuffle.cygnus.com>

	* Makefile.in (install): Install man pages again.

	* tclAppInit.c (main): Print version number.

	* findself.c (find_self): Now static.
	(find_self): Removed defines.
	(cached_name): Removed.
	(resolved): New static global.
	(find_self_base): Look for INETHOME environment variable.

Tue Apr 23 10:13:32 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (UNIX_SRCS): Added findself.c.
	(UNIX_OBJS): Added findself.o.

	* configure: Regenerated.
	* configure.in: Look for realpath().  Always define HAVE_GETCWD.

	* Makefile.in (TCL_LIB_TRAILER): New macro.
	(CC_SWITCHES): Define TCL_LIB_TRAILER.

	* tclUnixInit.c (TclPlatformInit): Handle location independence.

	* Makefile.in: Add explicit .c.o dependencies for Sun's VPATH.
	From Doug Evans <dje@cygnus.com>.

Mon Apr  1 23:05:49 1996  Fred Fish  <fnf@cygnus.com>

	* configure.in (case $system): For HP-UX test $have_dl before
	setting SHLIB_CFLAGS, SHLIB_LD, SHLIB_SUFFIX, DL_OBJS, and DL_LIBS
	* configure: Regenerate.
	
Fri Mar 29 08:23:00 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* mkLinks: Exit with status 0.

Mon Mar 25 17:01:01 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: Changed most "ac_cv" variables to "tcl_cv";
	otherwise Tcl-specific tests could clobber values in a global
	cache file.

Fri Mar 15 09:03:31 1996  Fred Fish  <fnf@cygnus.com>

	* configure.in: Some UNIX_SV* systems have linkers that
 	don't grok the -Bexport option.  Test that it does before
	adding to LD_FLAGS.
	* configure: Regenerated.

Thu Mar 14 14:25:17 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: Check for GNU ld in HP-UX case.

Fri Mar  1 11:45:23 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure: Regenerated.
	* configure.in: Use AC_CANONICAL_SYSTEM.  Look in Cygnus build
	tree for config.sub and config.guess.

Thu Feb 29 09:06:59 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (test): Define srcdir in test environment.

Tue Feb 13 13:22:23 1996  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: On Solaris, put -export-dynamic in LD_FLAGS if the
	linker supports it.
	* configure: Regenerated.

Thu Feb  1 09:57:19 1996  Tom Tromey  (tromey@gerbil.cygnus.com)

	* configure.in: Test $CC against *gcc*, not just gcc.
	For now, can't handle dynamic linking on HPUX.
	* configure: Regenerated.

Wed Jan 24 09:41:19 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* dltest/Makefile.in (distclean): Remove config.log, config.cache,
	and config.status here, not in distclean.
	(mostlyclean, maintainer-clean): New targets.

	* Makefile.in: Replaced realclean with maintainer-clean.
	(clean): Make clean in dltest directory.

Mon Jan 22 10:08:38 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: Use $?, not $status, to see if uname failed.
	File is named "tclLoadAout.o", not "tclLoadAOut.o".

Fri Jan 19 10:34:22 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (loadTests): Use $(MAKE), not make.
	(distclean): Ditto.

	* dltest/Makefile.in (.c.o): New target.
	(VPATH): New macro.

	* Makefile.in (check installcheck): Removed.
	(tclTestInit.o): Bug fix.

Wed Jan 17 11:36:40 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (check): Tests are in ../testsuite.

Sat Jan 13 18:41:26 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* tclUnixUtil.c (Tcl_DeleteFileTable): Undid change of Jan 11.
	Added comment explaining why.

Thu Jan 11 14:18:34 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.in (tclTestInit.o): Find tclAppInit.c in $(srcdir).

	* tclUnixUtil.c (Tcl_DeleteFileTable): Use Tcl_NextHashEntry to
	fetch next element from hash.

Wed Jan 10 10:39:15 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: Instead of giving warning, default to most
	conservative option when cross-compiling.

	* Makefile.in (loadTests): Don't depend on dltest/Makefile.  Use
	"&&", not ";".
	(dltest/Makefile): Removed.

	* configure.in: Always allow use of gcc.
	Create dltest/Makefile.in.
	Cache check for DOS pathnames.

Tue Jan  9 14:29:53 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* configure.in: Handle Linux machine with no dld.h and no -ldl.

	* See ../ChangeLog for entries before this date.
